Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.transform.inlining.weaver
Class HandlerVisitor.LookaheadCatchLabelsClassAdapter

    java.lang.Object
      org.objectweb.asm.ClassAdapter
          org.codehaus.aspectwerkz.transform.inlining.weaver.HandlerVisitor.LookaheadCatchLabelsClassAdapter

All Implemented Interfaces:
  org.objectweb.asm.ClassVisitor

Enclosing class:
  HandlerVisitor

    public static class HandlerVisitor.LookaheadCatchLabelsClassAdapter

extends org.objectweb.asm.ClassAdapter

A visitor that looks for all catch clause and keep track of them providing that they match

Author:
  Alexandre Vasseur

Field Summary

Fields inherited from class org.objectweb.asm.ClassAdapter
`cv`

Constructor Summary
`HandlerVisitor.LookaheadCatchLabelsClassAdapter(org.objectweb.asm.ClassVisitor cv, ClassLoader loader, ClassInfo callerClassInfo, Context ctx, List catchLabels)` Visit the class

Method Summary
`org.objectweb.asm.CodeVisitor` | `visitMethod(int access, String callerMethodName, String callerMethodDesc, String[] exceptions, org.objectweb.asm.Attribute attrs)` Visit method bodies

Methods inherited from class org.objectweb.asm.ClassAdapter
`visit, visitAttribute, visitEnd, visitField, visitInnerClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HandlerVisitor.LookaheadCatchLabelsClassAdapter

    public HandlerVisitor.LookaheadCatchLabelsClassAdapter(org.objectweb.asm.ClassVisitor cv,
                                                           ClassLoader loader,
                                                           ClassInfo callerClassInfo,
                                                           Context ctx,
                                                           List catchLabels)

  Visit the class

  Parameters:
    `cv` -
    `loader` -
    `callerClassInfo` -
    `ctx` -
    `catchLabels` -

Method Detail

### visitMethod

    public org.objectweb.asm.CodeVisitor visitMethod(int access,
                                                     String callerMethodName,
                                                     String callerMethodDesc,
                                                     String[] exceptions,
                                                     org.objectweb.asm.Attribute attrs)

  Visit method bodies

  Specified by:
    `visitMethod` in interface `org.objectweb.asm.ClassVisitor`
  Overrides:
    `visitMethod` in class `org.objectweb.asm.ClassAdapter`
  Parameters:
    `access` -
    `callerMethodName` -
    `callerMethodDesc` -
    `exceptions` -
    `attrs` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.